Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# PhysicsManager Class Reference

Physics don't get much higher-level than this. More...

List of all members.

## Public Member Functions
| PhysicsManager ()
| Default Constructor.
| addAngularForce (AngularForce f)
| Adds a global angular force to the physics manager.
| addLinearForce (LinearForce f)
| Adds a global linear force to the physics manager.
| attachAngularIntegrator (AngularIntegrator i)
| Hooks an angular integrator into the manager.
| attachLinearIntegrator (LinearIntegrator i)
| Hooks a linear integrator into the manager.
| attachPhysical (Physical p)
| Registers a Physical class with the manager.
| attachPhysicalnode (PhysicalNode p)
| Please call attach_physical_node instead.
| attachPhysicalNode (PhysicalNode p)
| Registers a physicalnode with the manager.
| clearAngularForces ()
| Resets the physics manager force vector.
| clearLinearForces ()
| Resets the physics manager force vector.
| clearPhysicals ()
| Resets the physics manager objects vector.
| debugOutput (ostream out)
| Write a string representation of this instance to <out>.
| debugOutput (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| doPhysics (float dt)
| This is the main high-level API call.
| doPhysics (float dt, Physical p)
| This is the main high-level API call.
float | getViscosity ()
| Get the global viscosity.
| initRandomSeed ()
| One-time config function, sets up the random seed used by the physics and particle systems.
| output (ostream out)
| Write a string representation of this instance to <out>.
| removeAngularForce (AngularForce f)
| takes an angular force out of the physics list
| removeLinearForce (LinearForce f)
| takes a linear force out of the physics list
| removePhysical (Physical p)
| takes a physical out of the object list
| removePhysicalNode (PhysicalNode p)
| Removes a physicalnode from the manager.
| setViscosity (float viscosity)
| Set the global viscosity.
| write (ostream out)
| Write a string representation of this instance to <out>.
| write (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| writeAngularForces (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| writeAngularForces (ostream out)
| Write a string representation of this instance to <out>.
| writeLinearForces (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| writeLinearForces (ostream out)
| Write a string representation of this instance to <out>.
| writePhysicals (ostream out, unsigned int indent)
| Write a string representation of this instance to <out>.
| writePhysicals (ostream out)
| Write a string representation of this instance to <out>.

## Detailed Description

Physics don't get much higher-level than this.

Attach as many Physicals (particle systems, etc..) as you want, pick an integrator and go.

## Constructor & Destructor Documentation

PhysicsManager | ( |  | ) |

Default Constructor.

NOTE: EulerIntegrator is the standard default.

## Member Function Documentation

addAngularForce | ( | AngularForce | f | ) |

Adds a global angular force to the physics manager.

addLinearForce | ( | LinearForce | f | ) |

Adds a global linear force to the physics manager.

attachAngularIntegrator | ( | AngularIntegrator | i | ) |

Hooks an angular integrator into the manager.

attachLinearIntegrator | ( | LinearIntegrator | i | ) |

Hooks a linear integrator into the manager.

attachPhysical | ( | Physical | p | ) |

Registers a Physical class with the manager.

attachPhysicalnode | ( | PhysicalNode | p | ) |

Please call attach_physical_node instead.

attachPhysicalNode | ( | PhysicalNode | p | ) |

Registers a physicalnode with the manager.

clearAngularForces | ( |  | ) |

Resets the physics manager force vector.

clearLinearForces | ( |  | ) |

Resets the physics manager force vector.

clearPhysicals | ( |  | ) |

Resets the physics manager objects vector.

debugOutput | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

debugOutput | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

doPhysics | ( | float | dt | ) |

This is the main high-level API call.

Performs integration on every attached Physical.

doPhysics | ( | float | dt,
|  | Physical | p
| ) |  |

This is the main high-level API call.

Performs integration on a single physical. Make sure its associated forces are active.

float getViscosity | ( |  | ) |

Get the global viscosity.

initRandomSeed | ( |  | ) |

One-time config function, sets up the random seed used by the physics and particle systems.

For synchronizing across distributed computers

output | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

removeAngularForce | ( | AngularForce | f | ) |

takes an angular force out of the physics list

removeLinearForce | ( | LinearForce | f | ) |

takes a linear force out of the physics list

removePhysical | ( | Physical | p | ) |

takes a physical out of the object list

removePhysicalNode | ( | PhysicalNode | p | ) |

Removes a physicalnode from the manager.

setViscosity | ( | float | viscosity | ) |

Set the global viscosity.

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

writeAngularForces | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

writeAngularForces | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writeLinearForces | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writeLinearForces | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

writePhysicals | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writePhysicals | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties